gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.RcStyle

Contents

- Exported types
- Methods
  - copy
  - new

Description

The `RcStyle`-struct is used to represent a set of information about the appearance of a widget. This can later be composited together with other `RcStyle`-structs to form a `Style`.

Synopsis

- newtype RcStyle = RcStyle (ManagedPtr RcStyle)
- class (GObject o, IsDescendantOf RcStyle o) => IsRcStyle o
- toRcStyle :: (MonadIO m, IsRcStyle o) => o -> m RcStyle
- rcStyleCopy :: (HasCallStack, MonadIO m, IsRcStyle a) => a -> m RcStyle
- rcStyleNew :: (HasCallStack, MonadIO m) => m RcStyle

# Exported types

newtype RcStyle Source #

Memory-managed wrapper type.

Constructors

RcStyle (ManagedPtr RcStyle) |

#### Instances

Instances details

Eq RcStyle Source # |
Instance details Defined in GI.Gtk.Objects.RcStyle Methods (==) :: RcStyle -> RcStyle -> Bool Source # (/=) :: RcStyle -> RcStyle -> Bool Source #
GObject RcStyle Source # |
Instance details Defined in GI.Gtk.Objects.RcStyle
ManagedPtrNewtype RcStyle Source # |
Instance details Defined in GI.Gtk.Objects.RcStyle Methods toManagedPtr :: RcStyle -> ManagedPtr RcStyle Source #
TypedObject RcStyle Source # |
Instance details Defined in GI.Gtk.Objects.RcStyle Methods glibType :: IO GType Source #
HasParentTypes RcStyle Source # |
Instance details Defined in GI.Gtk.Objects.RcStyle
IsGValue (Maybe RcStyle) Source # | Convert `RcStyle` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.RcStyle Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe RcStyle -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe RcStyle) Source #
type ParentTypes RcStyle Source # |
Instance details Defined in GI.Gtk.Objects.RcStyle type ParentTypes RcStyle = '[Object]

class (GObject o, IsDescendantOf RcStyle o) => IsRcStyle o Source #

Type class for types which can be safely cast to `RcStyle`, for instance with `toRcStyle`.

#### Instances

Instances details

(GObject o, IsDescendantOf RcStyle o) => IsRcStyle o Source # |
Instance details Defined in GI.Gtk.Objects.RcStyle

toRcStyle :: (MonadIO m, IsRcStyle o) => o -> m RcStyle Source #

Cast to `RcStyle`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, copy, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## copy

rcStyleCopy Source #

Arguments

:: (HasCallStack, MonadIO m, IsRcStyle a) |
=> a | `orig`: the style to copy
-> m RcStyle | Returns: the resulting `RcStyle`

Deprecated: (Since version 3.0)Use `CssProvider` instead.

Makes a copy of the specified `RcStyle`. This function will correctly copy an RC style that is a member of a class derived from `RcStyle`.

## new

rcStyleNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m RcStyle | Returns: the newly-created `RcStyle`

Deprecated: (Since version 3.0)Use `CssProvider` instead.

Creates a new `RcStyle` with no fields set and a reference count of 1.